=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2011-05-16 11:47:26 +0000
+++ doc/developers/releasing.txt	2011-05-26 20:42:13 +0000
@@ -195,8 +195,10 @@
 
      ./tools/check-newsbugs.py doc/en/release-notes/bzr-x.y.txt
 
-   (As of 2011-03-10, only a few false positives remain. Don't let this slow
-   you down too much.)
+   As of 2011-05-26, only a few false positives remain in the older
+   series. Don't let this slow you down too much. This script accepts
+   options you may find useful, use ``./tools/check-newsbugs.py`` to display
+   its usage.
 
 #. Commit these changes to the release branch, using a command like::
 

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-05-26 16:28:31 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-05-26 20:42:13 +0000
@@ -49,6 +49,9 @@
 .. Major internal changes, unlikely to be visible to users or plugin 
    developers, but interesting for bzr developers.
 
+* ``tools/check-newsbugs.py`` accepts a ``--browser`` option to open
+  corresponding launchpad pages in a browser. (Vincent Ladeuil)
+
 Testing
 *******
 

=== modified file 'tools/check-newsbugs.py'
--- tools/check-newsbugs.py	2010-12-02 15:48:12 +0000
+++ tools/check-newsbugs.py	2011-05-26 20:42:13 +0000
@@ -16,14 +16,17 @@
     sys.exit(1)
 
 
-options, args = getopt.gnu_getopt(sys.argv, "l", ["launchpad"])
+options, args = getopt.gnu_getopt(sys.argv, "lw", ["launchpad", 'webbrowser'])
 options = dict(options)
 
 if len(args) == 1:
-    print "Usage: check-newsbugs [--launchpad] NEWS"
+    print ("Usage: check-newsbugs [--launchpad][--webbrowser] "
+           "doc/en/release-notes/bzr-x.y.txt")
     print "Options:"
     print "--launchpad     Print out Launchpad mail commands for closing bugs "
     print "                that are already fixed."
+    print "--webbrowser    Open launchpad bug pages for bugs that are already "
+    print "                fixed."
     sys.exit(1)
 
 
@@ -37,6 +40,9 @@
         print "  bug %d" % bug.id
         print "  affects %s" % task.bug_target_name
         print "  status fixreleased"
+    if "--webbrowser" in options or "-w" in options:
+        import webbrowser
+        webbrowser.open('http://pad.lv/%s>' % (bug.id,))
 
 
 def read_news_bugnos(path):

